Package org.apache.ignite.client.events

## Class ConnectionClosedEvent

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionEvent
  - - org.apache.ignite.client.events.ConnectionClosedEvent

    public class ConnectionClosedEvent
    extends ConnectionEvent

### Constructor Summary

Constructors
`ConnectionClosedEvent​(ConnectionDescription conn, Throwable throwable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Throwable` `throwable()` Get a cause of the failure if any.

### Methods inherited from class org.apache.ignite.client.events.ConnectionEvent

`connectionDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionClosedEvent

    public ConnectionClosedEvent​(ConnectionDescription conn,
                                 Throwable throwable)

Parameters:
  `conn` - Connection description.
  `throwable` - Throwable that caused the failure if any.

### Method Detail

#### throwable

    @Nullable
    public @Nullable Throwable throwable()

Get a cause of the failure if any.

Returns:
  A cause of the failure if any.